Bug 670934 - etckeeper needs a README.Fedora explaining steps to get running
Summary: etckeeper needs a README.Fedora explaining steps to get running
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: etckeeper
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 17:17 UTC by Martin Langhoff
Modified: 2011-02-28 23:56 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-02-27 04:51:59 UTC


Attachments (Terms of Use)

Description Martin Langhoff 2011-01-19 17:17:58 UTC
Description of problem:

- etckeeper does not operate right after installation
- it is not clear what steps are needed -- to get it running, it has a cronjob but the cronjob will not auto-commit anything until certain steps are performed
- the included upstream README is generic, and does not indicate what a Fedora admin should do

Version-Release number of selected component (if applicable):

0.51-1.fc14 

Additional info:

As far as I can see, the minimum steps required are, as root

- cd /etc
- etckeeper init
- git commit -m 'somemessage'

Comment 1 Thomas Moschny 2011-01-19 17:45:35 UTC
(In reply to comment #0)
> - etckeeper does not operate right after installation

That's on purpose. I am pretty sure people would complain if it did touch /etc automatically.

Also, people might choose to use another VCS.

> - it is not clear what steps are needed -- to get it running, it has a cronjob
> but the cronjob will not auto-commit anything until certain steps are performed
> - the included upstream README is generic, and does not indicate what a Fedora
> admin should do

The README is generic, agreed, but how's that a problem? The steps described there work perfectly. 

> As far as I can see, the minimum steps required are, as root
> 
> - cd /etc
> - etckeeper init
> - git commit -m 'somemessage'

... which is exactly what is described in the README, section ##tutorial.

So, what should I put in a README.Fedora that's not already in the generic README?

Comment 2 Martin Langhoff 2011-01-19 18:26:02 UTC
The README discusses various things, including the cronjob. The tutorial section is just a tutorial, and covers various other actions; does not focus on "steps needed before this all works automatically".

In fact, an informed reader could conclude that etckeeper init is all that's needed.

To get a clear picture of what was setup, and what was needed, I had to, in addition to reading the README... 

 - check rpm -ql etckeeper (yes, the cronjob has been installed and makes sense)
 - try the cronjob until it worked -- this is how I discovered I needed an initial commit

I suggest a README.Fedora saying

 - Read the tutorial so you understand the security aspects, and how it works
 - Run etckeeper init && git commit -m 'msg' to get etckeeper started
 - Once you do that, the cronjob is in place and it'll autocommit for you. Disable in /etc/etckeeper/etckeeper.conf

Comment 3 Fedora Update System 2011-02-11 14:48:22 UTC
etckeeper-0.52-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/etckeeper-0.52-1.fc13

Comment 4 Fedora Update System 2011-02-11 14:48:29 UTC
etckeeper-0.52-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/etckeeper-0.52-1.el6

Comment 5 Fedora Update System 2011-02-11 14:48:36 UTC
etckeeper-0.52-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/etckeeper-0.52-1.fc14

Comment 6 Fedora Update System 2011-02-11 14:48:44 UTC
etckeeper-0.52-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/etckeeper-0.52-1.el5

Comment 7 Fedora Update System 2011-02-13 00:17:11 UTC
etckeeper-0.52-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update etckeeper'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/etckeeper-0.52-1.el5

Comment 8 Fedora Update System 2011-02-27 04:51:55 UTC
etckeeper-0.52-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-27 04:52:06 UTC
etckeeper-0.52-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-28 23:56:06 UTC
etckeeper-0.52-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-28 23:56:41 UTC
etckeeper-0.52-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.